﻿<?php
/*
=====================================================
 File: db.php
=====================================================
*/

if(!defined('DLE_FORUM_INSTALL'))
{
  die("Hacking attempt!");
}

	$db_query = array();
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_category";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_category (
	`sid` int(11) NOT NULL auto_increment,
	`cat_name` varchar(128) NOT NULL default '',
	`posi` tinyint(3) NOT NULL default '0',
	KEY `sid` (`sid`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";	
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_forums";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_forums (
    `id` int(11) NOT NULL auto_increment,
    `parentid` int(11) NOT NULL default '0',
    `main_id` int(11) NOT NULL default '0',
    `topics` mediumint(6) NOT NULL default '0',
    `posts` mediumint(6) NOT NULL default '0',
    `name` varchar(128) NOT NULL default '',
    `description` text NOT NULL,
    `position` tinyint(3) NOT NULL default '0',
    `status` tinyint(1) NOT NULL default '1',
    `access_read` varchar(150) NOT NULL default '',
    `access_write` varchar(150) NOT NULL default '',
    `access_mod` varchar(150) NOT NULL default '',
    `access_topic` varchar(150) NOT NULL default '',
    `access_upload` varchar(150) NOT NULL default '',
    `access_download` varchar(150) NOT NULL default '',
    `f_last_tid` smallint(5) NOT NULL default '0',
    `f_last_title` varchar(70) NOT NULL default '',
    `f_last_date` datetime NOT NULL default '0000-00-00 00:00:00',
    `f_last_poster_name` varchar(40) NOT NULL default '',
    `password` varchar(32) NOT NULL default '',
    `rules_title` varchar(128) NOT NULL default '',
    `rules` text NOT NULL,
    `icon` varchar(40) NOT NULL default '',
    `moderators` varchar(150) NOT NULL default '',
    `postcount` tinyint(1) NOT NULL default '1',
    `fixpost` tinyint(1) NOT NULL default '0',
    `last_post_id` int(11) NOT NULL default '0',
    `banner` text NOT NULL,
    `q_reply` tinyint(1) NOT NULL default '1',
    `i_edit` tinyint(1) NOT NULL default '0',
    PRIMARY KEY  (`id`)
    )TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_topics";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_topics (
	`tid` int(11) NOT NULL auto_increment,
	`forum_id` int(11) NOT NULL default '0',
	`title` varchar(70) NOT NULL default '',
	`topic_descr` varchar(70) NOT NULL default '',
	`icon` varchar(20) default '0',
	`post` int(11) NOT NULL default '0',
	`views` int(11) NOT NULL default '0',
	`author_topic` varchar(40) NOT NULL default '',
	`start_date` datetime NOT NULL default '0000-00-00 00:00:00',
	`last_date` datetime NOT NULL default '0000-00-00 00:00:00',
	`last_poster_name` varchar(40) NOT NULL default '',
	`topic_status` int(1) NOT NULL default '0',
	`hidden` int(1) NOT NULL default '0',
	`fixed` int(1) NOT NULL default '1',
	`poll_title` varchar(200) NOT NULL default '',
	`frage` varchar(200) NOT NULL default '',
	`poll_body` text NOT NULL,
	`poll_count` mediumint(8) NOT NULL default '0',
	`answer` varchar(150) NOT NULL default '',
	`multiple` tinyint(1) NOT NULL default '0',
	`meta_descr` varchar(200) default NULL,
	`meta_keywords` text,
	`first_post` int(11) NOT NULL default '0',
    `last_post_id` int(11) NOT NULL default '0',
	PRIMARY KEY  (`tid`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_posts";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_posts (
	`pid` int(11) NOT NULL auto_increment,
	`topic_id` int(11) NOT NULL default '0',
	`post_date` datetime NOT NULL default '0000-00-00 00:00:00',
	`post_author` varchar(40) NOT NULL default '',
	`post_text` text NOT NULL,
	`post_ip` varchar(16) NOT NULL default '',
	`is_register` tinyint(1) NOT NULL default '0',
	`e_mail` varchar(40) NOT NULL default '',
	`edit_user` varchar(40) NOT NULL default '0',
	`edit_time` int(10) NOT NULL default '0',
	`hidden` tinyint(1) NOT NULL default '0',
	`wysiwyg` tinyint(1) default '0',
	`is_count` tinyint(1) NOT NULL default '1',
	PRIMARY KEY  (`pid`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_email";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_email (
	`id` int(11) NOT NULL default '0',
	`name` varchar(40) NOT NULL default '',
	`template` text NOT NULL,
	PRIMARY KEY  (`id`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_files";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_files (
	`file_id` int(11) NOT NULL auto_increment,
	`file_type` varchar(10) NOT NULL default '',
	`forum_id` int(11) NOT NULL default '0',
	`topic_id` int(11) NOT NULL default '0',
	`post_id` int(11) NOT NULL default '0',
	`file_attach` tinyint(1) NOT NULL default '0',
	`file_name` varchar(250) NOT NULL default '',
	`onserver` varchar(250) NOT NULL default '',
	`file_author` varchar(40) NOT NULL default '',
	`file_date` int(10) NOT NULL default '0',
	`file_size` int(11) NOT NULL default '0',
	`dcount` int(11) NOT NULL default '0',
	PRIMARY KEY  (`file_id`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_groups";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_groups (
	`group_id` int(11) NOT NULL default '0',
	`group_colour` varchar(40) NOT NULL default '',
	`offline` tinyint(1) NOT NULL default '0',
	`post_edit` tinyint(1) NOT NULL default '0',
	`post_del` tinyint(1) NOT NULL default '0',
	`topic_set` tinyint(1) NOT NULL default '0',
	`topic_edit` tinyint(1) NOT NULL default '0',
	`topic_del` tinyint(1) NOT NULL default '0',
	`vote` tinyint(1) NOT NULL default '0',
	`flood` char(1) NOT NULL default '0',
	`html` tinyint(1) NOT NULL default '0',
	`filter` tinyint(1) NOT NULL default '0',
    `youtube` tinyint(1) NOT NULL default '0',
    `flash` tinyint(1) NOT NULL default '0',
	KEY `group_id` (`group_id`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_poll_log";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_poll_log (
	`id` int(11) unsigned NOT NULL auto_increment,
	`topic_id` int(10) unsigned NOT NULL default '0',
	`member` varchar(30) NOT NULL default '',
	PRIMARY KEY  (`id`),
	KEY `news_id` (`topic_id`,`member`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_reputation_log";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_reputation_log (
	`rid` int(11) NOT NULL auto_increment,
	`mid` varchar(8) NOT NULL default '0',
	`author` varchar(40) NOT NULL,
	`action` char(1) NOT NULL,
	`cause` text NOT NULL,
	`date` int(10) NOT NULL default '0',
	PRIMARY KEY  (`rid`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_sessions";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_sessions (
	`id` varchar(60) NOT NULL default '0',
	`member_name` varchar(64) NOT NULL default '',
	`user_group` int(11) NOT NULL default '5',
	`member_id` mediumint(8) NOT NULL default '0',
	`ip` varchar(16) NOT NULL default '',
	`browser` varchar(200) NOT NULL default '',
	`running_time` int(10) NOT NULL default '0',
	`location` varchar(40) NOT NULL default '',
	`act_index` int(10) NOT NULL default '0',
	`act_forum` int(10) NOT NULL default '0',
	`act_topic` int(10) NOT NULL default '0',
	PRIMARY KEY  (`id`),
	KEY `act_topic` (`act_topic`),
	KEY `act_forum` (`act_forum`),
	KEY `act_index` (`act_index`),
	KEY `running_time` (`running_time`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_subscription";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_subscription (
	`sid` int(11) NOT NULL auto_increment,
	`user_id` mediumint(8) NOT NULL default '0',
	`topic_id` int(10) NOT NULL default '0',
	PRIMARY KEY  (`sid`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_titles";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_titles (
	`id` int(11) NOT NULL auto_increment,
	`posts` int(11) NOT NULL default '0',
	`title` varchar(128) NOT NULL default '',
	`pips` varchar(128) NOT NULL default '',
	KEY `id` (`id`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_views";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_views (
	`topic_id` int(11) NOT NULL default '0',
	`forum_id` int(11) NOT NULL default '0',
	`user_id` mediumint(8) NOT NULL default '0',
	`time` int(11) default NULL
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_warn_log";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_warn_log (
	`wid` int(11) NOT NULL auto_increment,
	`mid` varchar(8) NOT NULL default '0',
	`author` varchar(40) NOT NULL,
	`action` char(1) NOT NULL,
	`cause` text NOT NULL,
	`date` int(10) NOT NULL default '0',
	PRIMARY KEY  (`wid`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_moderators";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_moderators (
	`mid` mediumint(8) NOT NULL auto_increment,
	`forum_id` int(11) NOT NULL default '0',
	`member_name` varchar(32) NOT NULL default '',
	`member_id` mediumint(8) NOT NULL default '0',
	`edit_post` tinyint(1) default NULL,
	`edit_topic` tinyint(1) default NULL,
	`delete_post` tinyint(1) default NULL,
	`delete_topic` tinyint(1) default NULL,
	`open_topic` tinyint(1) NOT NULL default '0',
	`close_topic` tinyint(1) default NULL,
	`mass_prune` tinyint(1) default NULL,
	`move_topic` tinyint(1) default NULL,
	`pin_topic` tinyint(1) default NULL,
	`unpin_topic` tinyint(1) default NULL,
	`allow_warn` tinyint(1) default NULL,
	`is_group` tinyint(1) default '0',
	`group_id` smallint(3) default NULL,
    `combining_post` tinyint(1) NOT NULL default '0',
    `move_post` tinyint(1) NOT NULL default '0',
	PRIMARY KEY  (`mid`),
	KEY `forum_id` (`forum_id`),
	KEY `group_id` (`group_id`),
	KEY `member_id` (`member_id`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] =  "CREATE TABLE `" . PREFIX . "_forum_thanks` (
  `id` int(12) NOT NULL auto_increment,
  `id_post` int(15) NOT NULL default '0',
  `forum_id` int(15) NOT NULL default '0',
  `post_userid` int(15) NOT NULL default '0',
  `user_id` int(15) NOT NULL default '0',
  `user_name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
)  TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users DROP `forum_post`";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users DROP `forum_warn`";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users DROP `forum_update`";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users DROP `forum_rank`";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users DROP `forum_pips`";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users DROP `forum_reputation`";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users DROP `forum_last`";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users DROP `forum_time`";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_post DROP `news_tid`";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_category DROP `forum_id`";
	
    //$db_query[] = "ALTER TABLE " . PREFIX . "_users ADD `is_forum_post_uid` SMALLINT( 5 ) DEFAULT '137101467710' NOT NULL";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users ADD `forum_post` SMALLINT( 5 ) DEFAULT '0' NOT NULL";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users ADD `forum_warn` SMALLINT( 5 ) DEFAULT '0' NOT NULL";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users ADD `forum_update` VARCHAR( 20 ) DEFAULT '0' NOT NULL";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users ADD `forum_rank` VARCHAR( 40 ) DEFAULT '0' NOT NULL";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users ADD `forum_pips` SMALLINT( 2 ) DEFAULT '0' NOT NULL";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users ADD `forum_reputation` SMALLINT( 5 ) DEFAULT '0' NOT NULL";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users ADD `forum_last` VARCHAR( 20 ) DEFAULT '0' NOT NULL";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users ADD `forum_time` VARCHAR( 20 ) DEFAULT '0' NOT NULL";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_post ADD `news_tid` SMALLINT( 5 ) DEFAULT '0' NOT NULL";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_category ADD `forum_id` SMALLINT( 5 ) DEFAULT '0' NOT NULL";
	
	$db_query[] = "ALTER TABLE `" . PREFIX . "_users` ADD `thx_userforum`  int( 11 ) NOT NULL DEFAULT '0'";
	
	$db_query[] = "ALTER TABLE `" . PREFIX . "_users` ADD `thx_userforum2`  int( 11 ) NOT NULL DEFAULT '0'";
	
	$db_query[] = "ALTER TABLE `" . PREFIX . "_users` ADD `thx_postforum`  int( 11 ) NOT NULL DEFAULT '0'";

	$db_query[] = "ALTER TABLE `" . PREFIX . "_forum_posts` ADD `thanks_text`  text NOT NULL";
	
	$db_query[] = "ALTER TABLE `" . PREFIX . "_forum_posts` ADD `thanks_numb`  int( 11 ) NOT NULL DEFAULT '0'";
	
	
	// Mail tpl //
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_email VALUES (1, 'subscription_text', 'Hello, {%username_to%}!\r\n\r\n{%username_from%} responded to the topic \"{%topic_name%}\", at you signed.\r\n\r\nThe topic can be found at:\r\n\r\n{%topic_link%}\r\n\r\n------------------------------------------------\r\nYou can unsubscribe at any time of such distribution via the link:\r\n\r\n{%topic_link_del%}\r\n\r\n------------------------------------------------\r\n\r\nBest regards,\r\n\r\nAdministration $url')";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_email VALUES (2, 'frend_text', '{%username_to%},\r\n\r\nThe letter you sent {%username_from%} from $url\r\n\r\n------------------------------------------------\r\nYour message\r\n------------------------------------------------\r\n\r\n{%text%}\r\n\r\n------------------------------------------------\r\nKeep in mind that the administration of the site is not responsible for the content of the letter\r\n\r\nBest regards,\r\n\r\nAdministration $url')";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_email VALUES (3, 'report_text', 'This complaint you sent {%username_from%} from $url\r\n\r\n------------------------------------------------\r\nThe text of the complaint\r\n------------------------------------------------\r\n\r\n{%text%}\r\n\r\n------------------------------------------------\r\nA summary of the complaint\r\n------------------------------------------------\r\n\r\nSubject: {%topic_link%}\r\n\r\nID message: {%post_id%}\r\n\r\n------------------------------------------------\r\n\r\nBest regards,\r\n\r\nAdministration $url')";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_email VALUES (4, 'new_topic', 'Dear Administrator,\r\n\r\nadvised that the forum site was added to $url issue.\r\n\r\n------------------------------------------------\r\nA summary of the topic\r\n------------------------------------------------\r\n\r\nBy: {%username%}\r\nDate: {%date%}\r\nThe title of the topic: {%title%}\r\nThe reference to the theme: {%link%}\r\n\r\n\r\nBest regards,\r\n\r\nAdministration $url')";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_category VALUES (1, 'تست موضوع', 1)";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_forums VALUES (1, '0', '1', '1', '1', 'تست انجمن', 'شما میتوانید این انجمن را پاک کنید', '0', '1', '1:2:3:4:5', '1:2:3:4', '1:2:3', '1:2:3', '1:2', '1:2:3:4:5', '0', '', '0000-00-00 00:00:00', '', '', '', '', '', '', '1', '0', '0', '', '1', '0')";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_topics VALUES ('1', '1', 'Welcome', '', '0', '1', '0', '', '{$topic_date}', '{$topic_date}', 'Admin', '0', '0', '1', '', '', '', '0', '', '0', NULL, NULL, '0', '0')";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_posts VALUES ('1', '1', '0000-00-00 00:00:00', 'Admin', 'به انجمن جديد خوش آمديد !<br /><br />ترجمه شده توسط : Arash.N و Mohammad-1ta و Sam.Razm<br><br><a href=http://DatalifeEngine.iR target=_blank>DatalifeEngine.iR</a>', '127.0.01', '1', '', '0', '0', '0', '0', '1', '', '0')";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_groups VALUES ('1', 'red', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1')";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_groups VALUES ('2', 'belu', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0')";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_groups VALUES ('3', '', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0')";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_groups VALUES ('4', '', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1')";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_groups VALUES ('5', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0')";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_moderators VALUES (1, 0, '', 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1)";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_moderators VALUES (2, 0, '', 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 2)";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_moderators VALUES (3, 0, '', 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 3)";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_moderators VALUES (4, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4)";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_moderators VALUES (5, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5)";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_titles VALUES (1, 0, 'عضو جديد', '1')";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_titles VALUES (2, 10, 'عضو فعال', '2')";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_titles VALUES (3, 30, 'عضو پيشرفته', '3')";
	
	
?>